@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;1,200&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@700&display=swap");

:root {
	--ff-heading: "Raleway", sans-serif;
	--ff-body: "Poppins", sans-serif;

	--clr-accent: #be3144;
	--clr-blue: #45567d;
	--clr-gray: #303841;
	--clr-light: #f0f0f0;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

* {
	margin: 0;
	padding: 0;
}

html {
	font-size: 62.5%;
	scroll-behavior: smooth;
}

body {
	color: var(--clr-light);
	font-family: var(--ff-body);
	font-size: 1.8rem;
	font-weight: 400;
	line-height: 1.5;
}

h1,
h2,
h3,
h4 {
	font-family: var(--ff-heading);
	font-weight: 700;
	line-height: 1.1;
	text-align: center;
}

h1 {
	font-size: 3rem;
	padding: 1rem 0;
}

h2 {
	font-size: 2rem;
}

p {
	text-align: center;
}

img {
	display: block;
	width: 100%;
	object-fit: cover;
}

a {
	text-decoration: none;
	color: var(--clr-light);
}

li {
	list-style: none;
}

/* navbar styling */
nav {
	width: 100%;
	background-color: var(--clr-accent);
	display: flex;
	align-items: center;
	justify-content: flex-end;
	position: fixed;
	top: 0;
	left: 0;
}

.nav-list {
	width: 60vw;
	display: flex;
	align-items: center;
	justify-content: flex-end;
	margin-right: 1.4rem;
}

.nav-link {
	display: block;
	padding: 1.4rem;
	font-size: 1.6rem;
}

.nav-link:hover {
	background-color: var(--clr-blue);
}

@media (min-width: 750px) {
	.nav-link {
		padding-inline: 2.5rem;
		font-size: 1.9rem;
	}
}

@media (min-width: 1000px) {
	.nav-link {
		padding: 2rem 3.5rem;
		font-size: 2rem;
	}
}

/* about(welcome-section) section styling */
#welcome-section {
	background-image: linear-gradient(62deg, #3a3d40 0%, #181719 100%);
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#welcome-section p {
	color: var(--clr-accent);
	font-weight: 200;
	font-style: italic;
}

@media (min-width: 750px) {
	h1 {
		font-size: 4rem;
	}
	#welcome-section p {
		font-size: 2rem;
	}
}

@media (min-width: 1000px) {
	h1 {
		font-size: 6rem;
	}
	#welcome-section p {
		font-size: 3rem;
	}
}

/* project section styling */
#projects {
	background-color: var(--clr-blue);
	padding: 2rem;
}

.project-section-header {
	border-bottom: 1px solid #ffffff;
	margin: 2rem auto 3rem;
}

.card {
	background-color: var(--clr-gray);
	margin-bottom: 2rem;
}

.project-title {
	font-size: 1.2rem;
	padding: 1rem;
}

.code {
	color: var(--clr-gray);
	transition: all 0.4s;
}

.card:hover .code {
	color: orange;
}

.btn {
	padding: 0.5rem 1.5rem;
	font-size: 1.2rem;
	transition: 0.2s all;
}

.show-all {
	max-width: 9.1rem;
	background-color: var(--clr-gray);
	display: block;
	margin-inline: auto;
}

.show-all:hover {
	background-color: var(--clr-accent);
}

@media (min-width: 550px) {
	.project-section-header {
		font-size: 2.5rem;
	}
	.card {
		margin: 3rem 7rem;
	}
	.project-title {
		font-size: 1.5rem;
	}
	.show-all {
		max-width: 11rem;
		font-size: 1.4rem;
	}
}

@media (min-width: 700px) {
	.project-section-header {
		font-size: 3.5rem;
	}
	.projects-grid {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
		grid-gap: 4rem;
		width: 100%;
		max-width: 1280px;
		margin: 0 auto;
		margin-bottom: 6rem;
	}
	.card {
		margin: 0;
	}
	.project-img img {
		height: 300px;
	}
	.project-title {
		font-size: 1.7rem;
	}
	.show-all {
		max-width: 11.3rem;
		font-size: 1.6rem;
	}
}

@media (min-width: 1000px) {
	.project-img img {
		height: 380px;
	}
	.project-title {
		font-size: 1.8rem;
	}
	.show-all {
		max-width: 13rem;
		font-size: 1.8rem;
	}
}

/* contact section styling */
#contact {
	height: 50vh;
	background-color: var(--clr-gray);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 3rem;
}

.contact-section-header {
	margin: 2rem auto;
}

.contact-section-links a {
	display: block;
}

.contact-section-links i {
	margin-right: 0.2rem;
}

.contact-details:hover {
	color: orange;
}

@media (min-width: 500px) {
	.contact-section-header h2 {
		font-size: 2.5rem;
	}
	.contact-section-links a {
		font-size: 1.5rem;
	}
}

@media (min-width: 800px) {
	#contact {
		height: 70vh;
	}
	.contact-section-header h2 {
		font-size: 3.5rem;
	}
	.contact-section-links a {
		font-size: 1.8rem;
	}
}

@media (min-width: 950px) {
	#contact {
		height: 80vh;
	}
	.contact-section-header {
		margin-bottom: 4rem;
	}
	.contact-section-header h2 {
		font-size: 4rem;
		margin-bottom: 1.5rem;
	}
	.contact-section-links a {
		font-size: 1.9rem;
	}
	.contact-section-links a {
		display: inline;
	}
}

/* footer section styling */
footer {
	background-color: var(--clr-gray);
	border-top: 2px solid var(--clr-accent);
	font-size: 1rem;
	padding: 2rem;
}

footer p {
	opacity: 0.7;
}

footer p + p {
	margin-top: 1.5rem;
}

@media (min-width: 500px) {
	footer {
		font-size: 1.2rem;
	}
}

@media (min-width: 1000px) {
	footer {
		font-size: 1.4rem;
		padding: 3rem;
		display: flex;
		align-items: center;
		justify-content: space-around;
	}
}
